<!--
title: Serverless - AWS Lambda - Examples
menuText: Examples
layout: Doc
-->

<!-- DOCS-SITE-LINK:START automatically generated  -->
### [Read this on the main serverless docs site](https://www.serverless.com/framework/docs/providers/aws/examples/)
<!-- DOCS-SITE-LINK:END -->

# Serverless AWS Lambda Examples

Have an example? Submit a PR or [open an issue](https://github.com/serverless/examples/issues). ⚡️

| Example | Runtime  |
|:--------------------------- |:-----|
| [Aws Auth0 Api Gateway](https://serverless.com/examples/aws-node-auth0-custom-authorizers-api/) <br/> Demonstration of protecting API gateway endpoints with auth0 | nodeJS |
| [Env Variables Encrypted In A File](https://serverless.com/examples/aws-node-env-variables-encrypted-in-a-file/) <br/> Serverless example managing secrets in an encrypted file | nodeJS |
| [Serverless Node Env Variables](https://serverless.com/examples/aws-node-env-variables/) <br/> This example demonstrates how to use environment variables for AWS Lambdas. | nodeJS |
| [Fetch File And Store In S3](https://serverless.com/examples/aws-node-fetch-file-and-store-in-s3/) <br/> Fetch an image from remote source (URL) and then upload the image to a S3 bucket. | nodeJS |
| [Function Compiled With Babel](https://serverless.com/examples/aws-node-function-compiled-with-babel/) <br/> Demonstrating how to compile all your code with Babel | nodeJS |
| [Serverless Rest With Dynamodb](https://serverless.com/examples/aws-node-rest-api-with-dynamodb/) <br/> Serverless CRUD service exposing a REST HTTP interface | nodeJS |
| [Serverless Aws Cron Job Example](https://serverless.com/examples/aws-node-scheduled-cron/) <br/> Example of creating a function that runs as a cron job using the serverless `schedule` event | nodeJS |
| [Aws Node Serve Dynamic Html Via Http Endpoint](https://serverless.com/examples/aws-node-serve-dynamic-html-via-http-endpoint/) <br/> Hookup an AWS API Gateway endpoint to a Lambda function to render HTML on a `GET` request | nodeJS |
| [Aws Node Serve Dynamic Html Via Http Endpoint](https://serverless.com/examples/aws-node-simple-http-endpoint/) <br/> Example demonstrates how to setup a simple HTTP GET endpoint | nodeJS |
| [Single Page App Via Cloudfront](https://serverless.com/examples/aws-node-single-page-app-via-cloudfront/) <br/> Demonstrating how to deploy a Single Page Application with Serverless | nodeJS |
| [Serverless Data Pipeline](https://serverless.com/examples/aws-node-text-analysis-via-sns-post-processing/) <br/> Example demonstrates how to setup a simple data processing pipeline | nodeJS |
| [Aws Python Simple Http Endpoint](https://serverless.com/examples/aws-python-simple-http-endpoint/) <br/> Example demonstrates how to setup a simple HTTP GET endpoint with python | python |

If you have questions, join the [chat in gitter](https://gitter.im/serverless/serverless) or [post over on the forums](https://forum.serverless.com/)
